<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<form xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
    <argument name="data" xsi:type="array">
        <item name="js_config" xsi:type="array">
            <item name="provider" xsi:type="string">shop_form.shop_form_data_source</item>
        </item>
        <item name="label" xsi:type="string" translate="true">General Information</item>
        <item name="template" xsi:type="string">templates/form/collapsible</item>
    </argument>

    <settings>
        <buttons>
            <button name="save" class="Academy\Shop\Block\Adminhtml\Shop\Edit\SaveButton"/>
            <button name="delete" class="Academy\Shop\Block\Adminhtml\Shop\Edit\DeleteButton"/>
            <button name="back" class="Academy\Shop\Block\Adminhtml\Shop\Edit\BackButton"/>
        </buttons>
        <namespace>shop_form</namespace>
        <dataScope>data</dataScope>
        <deps>
            <dep>shop_form.shop_form_data_source</dep>
        </deps>
    </settings>

    <dataSource name="shop_form_data_source">
        <argument name="data" xsi:type="array">
            <item name="js_config" xsi:type="array">
                <item name="component" xsi:type="string">Magento_Ui/js/form/provider</item>
            </item>
        </argument>
        <settings>
            <submitUrl path="shop/shop/save"/>
        </settings>
        <dataProvider class="Academy\Shop\Model\Shop\DataProvider" name="shop_form_data_source">
            <settings>
                <requestFieldName>id</requestFieldName>
                <primaryFieldName>id</primaryFieldName>
            </settings>
        </dataProvider>
    </dataSource>

    <fieldset name="general">
        <settings>
            <label/>
        </settings>
        <field name="id" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <dataType>text</dataType>
                <visible>false</visible>
                <dataScope>id</dataScope>
            </settings>
        </field>
        <field name="name" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <validation>
                    <rule name="required-entry" xsi:type="boolean">true</rule>
                </validation>
                <dataType>text</dataType>
                <label translate="true">Store name</label>
                <dataScope>name</dataScope>
            </settings>
        </field>
        <field name="description" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <dataType>text</dataType>
                <label translate="true">Description</label>
                <dataScope>description</dataScope>
            </settings>
        </field>

        <field name="image" sortOrder="20" formElement="fileUploader">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                    <item name="previewTmpl" xsi:type="string">Magento_Catalog/image-preview</item>
                    <item name="validation" xsi:type="array">
                        <item name="required-entry" xsi:type="boolean">true</item>
                    </item>
                    <item name="uploaderConfig" xsi:type="array">
                        <item name="url" xsi:type="url" path="shop/shop/upload"/>
                    </item>
                </item>
            </argument>
            <settings>
                <dataType>string</dataType>
                <label translate="true">Store image</label>
                <visible>true</visible>
                <elementTmpl>ui/form/element/uploader/uploader</elementTmpl>
                <dataScope>image</dataScope>
            </settings>
        </field>

        <field name="country" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <validation>
                    <rule name="required-entry" xsi:type="boolean">true</rule>
                </validation>
                <dataType>text</dataType>
                <label translate="true">Country</label>
                <dataScope>country</dataScope>
            </settings>
        </field>
        <field name="city" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <validation>
                    <rule name="required-entry" xsi:type="boolean">true</rule>
                </validation>
                <dataType>text</dataType>
                <label translate="true">City</label>
                <dataScope>city</dataScope>
            </settings>
        </field>
        <field name="address" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <validation>
                    <rule name="required-entry" xsi:type="boolean">true</rule>
                </validation>
                <dataType>text</dataType>
                <label translate="true">Address</label>
                <dataScope>address</dataScope>
            </settings>
        </field>
        <field name="url_key" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <validation>
                    <rule name="required-entry" xsi:type="boolean">true</rule>
                </validation>
                <dataType>text</dataType>
                <label translate="true">Url_Key</label>
                <dataScope>url_key</dataScope>
            </settings>
        </field>
        <field name="work_schedule" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <dataType>text</dataType>
                <label translate="true">Work schedule</label>
                <dataScope>work_schedule</dataScope>
            </settings>
        </field>
        <field name="longitude" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <dataType>text</dataType>
                <label translate="true">Longitude</label>
                <dataScope>longitude</dataScope>
            </settings>
        </field>
        <field name="latitude" sortOrder="20" formElement="input">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="source" xsi:type="string">shop</item>
                </item>
            </argument>
            <settings>
                <dataType>text</dataType>
                <label translate="true">Latitude</label>
                <dataScope>latitude</dataScope>
            </settings>
        </field>
    </fieldset>
</form>
